# coding: utf-8

"""

    # Authentication  <!-- ReDoc-Inject: <security-definitions> -->  # noqa: E501

    OpenAPI spec version: 0.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class MatchFeuilleCompoJsonldMatchFeuille(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'context': 'OneOfMatchFeuilleCompoJsonldMatchFeuilleContext',
        'id': 'str',
        'type': 'str',
        'in_no': 'str',
        'usr_no': 'int',
        'li_no': 'str',
        'cfi_poste': 'str',
        'cfi_ordre': 'int',
        'cfi_maillot': 'int',
        'cfi_capi': 'str',
        'cfi_typ_role': 'str',
        'cfi_role': 'str',
        'cfi_cl_no': 'int',
        'in_nom': 'str',
        'in_prenom': 'str',
        'li_statut': 'str',
        'dat_modif': 'str',
        'in_nat': 'int',
        'li_mut': 'str',
        'in_dat_nais': 'datetime',
        'tq_no': 'int'
    }

    attribute_map = {
        'context': '@context',
        'id': '@id',
        'type': '@type',
        'in_no': 'in_no',
        'usr_no': 'usr_no',
        'li_no': 'li_no',
        'cfi_poste': 'cfi_poste',
        'cfi_ordre': 'cfi_ordre',
        'cfi_maillot': 'cfi_maillot',
        'cfi_capi': 'cfi_capi',
        'cfi_typ_role': 'cfi_typ_role',
        'cfi_role': 'cfi_role',
        'cfi_cl_no': 'cfi_cl_no',
        'in_nom': 'in_nom',
        'in_prenom': 'in_prenom',
        'li_statut': 'li_statut',
        'dat_modif': 'dat_modif',
        'in_nat': 'in_nat',
        'li_mut': 'li_mut',
        'in_dat_nais': 'in_dat_nais',
        'tq_no': 'tq_no'
    }

    def __init__(self, context=None, id=None, type=None, in_no=None, usr_no=None, li_no=None, cfi_poste=None, cfi_ordre=None, cfi_maillot=None, cfi_capi=None, cfi_typ_role=None, cfi_role=None, cfi_cl_no=None, in_nom=None, in_prenom=None, li_statut=None, dat_modif=None, in_nat=None, li_mut=None, in_dat_nais=None, tq_no=None):  # noqa: E501
        """MatchFeuilleCompoJsonldMatchFeuille - a model defined in Swagger"""  # noqa: E501
        self._context = None
        self._id = None
        self._type = None
        self._in_no = None
        self._usr_no = None
        self._li_no = None
        self._cfi_poste = None
        self._cfi_ordre = None
        self._cfi_maillot = None
        self._cfi_capi = None
        self._cfi_typ_role = None
        self._cfi_role = None
        self._cfi_cl_no = None
        self._in_nom = None
        self._in_prenom = None
        self._li_statut = None
        self._dat_modif = None
        self._in_nat = None
        self._li_mut = None
        self._in_dat_nais = None
        self._tq_no = None
        self.discriminator = None
        if context is not None:
            self.context = context
        if id is not None:
            self.id = id
        if type is not None:
            self.type = type
        if in_no is not None:
            self.in_no = in_no
        if usr_no is not None:
            self.usr_no = usr_no
        if li_no is not None:
            self.li_no = li_no
        if cfi_poste is not None:
            self.cfi_poste = cfi_poste
        if cfi_ordre is not None:
            self.cfi_ordre = cfi_ordre
        if cfi_maillot is not None:
            self.cfi_maillot = cfi_maillot
        if cfi_capi is not None:
            self.cfi_capi = cfi_capi
        if cfi_typ_role is not None:
            self.cfi_typ_role = cfi_typ_role
        if cfi_role is not None:
            self.cfi_role = cfi_role
        if cfi_cl_no is not None:
            self.cfi_cl_no = cfi_cl_no
        if in_nom is not None:
            self.in_nom = in_nom
        if in_prenom is not None:
            self.in_prenom = in_prenom
        if li_statut is not None:
            self.li_statut = li_statut
        if dat_modif is not None:
            self.dat_modif = dat_modif
        if in_nat is not None:
            self.in_nat = in_nat
        if li_mut is not None:
            self.li_mut = li_mut
        if in_dat_nais is not None:
            self.in_dat_nais = in_dat_nais
        if tq_no is not None:
            self.tq_no = tq_no

    @property
    def context(self):
        """Gets the context of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501


        :return: The context of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :rtype: OneOfMatchFeuilleCompoJsonldMatchFeuilleContext
        """
        return self._context

    @context.setter
    def context(self, context):
        """Sets the context of this MatchFeuilleCompoJsonldMatchFeuille.


        :param context: The context of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :type: OneOfMatchFeuilleCompoJsonldMatchFeuilleContext
        """

        self._context = context

    @property
    def id(self):
        """Gets the id of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501


        :return: The id of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :rtype: str
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this MatchFeuilleCompoJsonldMatchFeuille.


        :param id: The id of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :type: str
        """

        self._id = id

    @property
    def type(self):
        """Gets the type of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501


        :return: The type of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :rtype: str
        """
        return self._type

    @type.setter
    def type(self, type):
        """Sets the type of this MatchFeuilleCompoJsonldMatchFeuille.


        :param type: The type of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :type: str
        """

        self._type = type

    @property
    def in_no(self):
        """Gets the in_no of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501


        :return: The in_no of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :rtype: str
        """
        return self._in_no

    @in_no.setter
    def in_no(self, in_no):
        """Sets the in_no of this MatchFeuilleCompoJsonldMatchFeuille.


        :param in_no: The in_no of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :type: str
        """

        self._in_no = in_no

    @property
    def usr_no(self):
        """Gets the usr_no of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501


        :return: The usr_no of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :rtype: int
        """
        return self._usr_no

    @usr_no.setter
    def usr_no(self, usr_no):
        """Sets the usr_no of this MatchFeuilleCompoJsonldMatchFeuille.


        :param usr_no: The usr_no of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :type: int
        """

        self._usr_no = usr_no

    @property
    def li_no(self):
        """Gets the li_no of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501


        :return: The li_no of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :rtype: str
        """
        return self._li_no

    @li_no.setter
    def li_no(self, li_no):
        """Sets the li_no of this MatchFeuilleCompoJsonldMatchFeuille.


        :param li_no: The li_no of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :type: str
        """

        self._li_no = li_no

    @property
    def cfi_poste(self):
        """Gets the cfi_poste of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501


        :return: The cfi_poste of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :rtype: str
        """
        return self._cfi_poste

    @cfi_poste.setter
    def cfi_poste(self, cfi_poste):
        """Sets the cfi_poste of this MatchFeuilleCompoJsonldMatchFeuille.


        :param cfi_poste: The cfi_poste of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :type: str
        """

        self._cfi_poste = cfi_poste

    @property
    def cfi_ordre(self):
        """Gets the cfi_ordre of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501


        :return: The cfi_ordre of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :rtype: int
        """
        return self._cfi_ordre

    @cfi_ordre.setter
    def cfi_ordre(self, cfi_ordre):
        """Sets the cfi_ordre of this MatchFeuilleCompoJsonldMatchFeuille.


        :param cfi_ordre: The cfi_ordre of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :type: int
        """

        self._cfi_ordre = cfi_ordre

    @property
    def cfi_maillot(self):
        """Gets the cfi_maillot of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501


        :return: The cfi_maillot of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :rtype: int
        """
        return self._cfi_maillot

    @cfi_maillot.setter
    def cfi_maillot(self, cfi_maillot):
        """Sets the cfi_maillot of this MatchFeuilleCompoJsonldMatchFeuille.


        :param cfi_maillot: The cfi_maillot of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :type: int
        """

        self._cfi_maillot = cfi_maillot

    @property
    def cfi_capi(self):
        """Gets the cfi_capi of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501


        :return: The cfi_capi of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :rtype: str
        """
        return self._cfi_capi

    @cfi_capi.setter
    def cfi_capi(self, cfi_capi):
        """Sets the cfi_capi of this MatchFeuilleCompoJsonldMatchFeuille.


        :param cfi_capi: The cfi_capi of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :type: str
        """

        self._cfi_capi = cfi_capi

    @property
    def cfi_typ_role(self):
        """Gets the cfi_typ_role of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501


        :return: The cfi_typ_role of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :rtype: str
        """
        return self._cfi_typ_role

    @cfi_typ_role.setter
    def cfi_typ_role(self, cfi_typ_role):
        """Sets the cfi_typ_role of this MatchFeuilleCompoJsonldMatchFeuille.


        :param cfi_typ_role: The cfi_typ_role of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :type: str
        """

        self._cfi_typ_role = cfi_typ_role

    @property
    def cfi_role(self):
        """Gets the cfi_role of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501


        :return: The cfi_role of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :rtype: str
        """
        return self._cfi_role

    @cfi_role.setter
    def cfi_role(self, cfi_role):
        """Sets the cfi_role of this MatchFeuilleCompoJsonldMatchFeuille.


        :param cfi_role: The cfi_role of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :type: str
        """

        self._cfi_role = cfi_role

    @property
    def cfi_cl_no(self):
        """Gets the cfi_cl_no of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501


        :return: The cfi_cl_no of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :rtype: int
        """
        return self._cfi_cl_no

    @cfi_cl_no.setter
    def cfi_cl_no(self, cfi_cl_no):
        """Sets the cfi_cl_no of this MatchFeuilleCompoJsonldMatchFeuille.


        :param cfi_cl_no: The cfi_cl_no of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :type: int
        """

        self._cfi_cl_no = cfi_cl_no

    @property
    def in_nom(self):
        """Gets the in_nom of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501


        :return: The in_nom of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :rtype: str
        """
        return self._in_nom

    @in_nom.setter
    def in_nom(self, in_nom):
        """Sets the in_nom of this MatchFeuilleCompoJsonldMatchFeuille.


        :param in_nom: The in_nom of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :type: str
        """

        self._in_nom = in_nom

    @property
    def in_prenom(self):
        """Gets the in_prenom of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501


        :return: The in_prenom of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :rtype: str
        """
        return self._in_prenom

    @in_prenom.setter
    def in_prenom(self, in_prenom):
        """Sets the in_prenom of this MatchFeuilleCompoJsonldMatchFeuille.


        :param in_prenom: The in_prenom of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :type: str
        """

        self._in_prenom = in_prenom

    @property
    def li_statut(self):
        """Gets the li_statut of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501


        :return: The li_statut of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :rtype: str
        """
        return self._li_statut

    @li_statut.setter
    def li_statut(self, li_statut):
        """Sets the li_statut of this MatchFeuilleCompoJsonldMatchFeuille.


        :param li_statut: The li_statut of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :type: str
        """

        self._li_statut = li_statut

    @property
    def dat_modif(self):
        """Gets the dat_modif of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501


        :return: The dat_modif of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :rtype: str
        """
        return self._dat_modif

    @dat_modif.setter
    def dat_modif(self, dat_modif):
        """Sets the dat_modif of this MatchFeuilleCompoJsonldMatchFeuille.


        :param dat_modif: The dat_modif of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :type: str
        """

        self._dat_modif = dat_modif

    @property
    def in_nat(self):
        """Gets the in_nat of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501


        :return: The in_nat of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :rtype: int
        """
        return self._in_nat

    @in_nat.setter
    def in_nat(self, in_nat):
        """Sets the in_nat of this MatchFeuilleCompoJsonldMatchFeuille.


        :param in_nat: The in_nat of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :type: int
        """

        self._in_nat = in_nat

    @property
    def li_mut(self):
        """Gets the li_mut of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501


        :return: The li_mut of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :rtype: str
        """
        return self._li_mut

    @li_mut.setter
    def li_mut(self, li_mut):
        """Sets the li_mut of this MatchFeuilleCompoJsonldMatchFeuille.


        :param li_mut: The li_mut of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :type: str
        """

        self._li_mut = li_mut

    @property
    def in_dat_nais(self):
        """Gets the in_dat_nais of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501


        :return: The in_dat_nais of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :rtype: datetime
        """
        return self._in_dat_nais

    @in_dat_nais.setter
    def in_dat_nais(self, in_dat_nais):
        """Sets the in_dat_nais of this MatchFeuilleCompoJsonldMatchFeuille.


        :param in_dat_nais: The in_dat_nais of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :type: datetime
        """

        self._in_dat_nais = in_dat_nais

    @property
    def tq_no(self):
        """Gets the tq_no of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501


        :return: The tq_no of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :rtype: int
        """
        return self._tq_no

    @tq_no.setter
    def tq_no(self, tq_no):
        """Sets the tq_no of this MatchFeuilleCompoJsonldMatchFeuille.


        :param tq_no: The tq_no of this MatchFeuilleCompoJsonldMatchFeuille.  # noqa: E501
        :type: int
        """

        self._tq_no = tq_no

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(MatchFeuilleCompoJsonldMatchFeuille, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, MatchFeuilleCompoJsonldMatchFeuille):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
